import { Presenter } from "@erp/core/api";
import { {{pascalCase name}} } from "../../../domain";

export class {{pascalCase name}}FullPresenter extends Presenter<{{pascalCase name}}, any> {
  toOutput(entity: {{pascalCase name}}): any {
    return {
      id: entity.id.toPrimitive(),
      name: entity.name,
      metadata: { entity: "{{kebabCase name}}" }
    };
  }
}
